Loading...
Searching...
No Matches
Opm::UDQActive::RstRecord Struct Reference

Single UDA created from restart file information. More...

`#include <UDQActive.hpp>`

## Public Member Functions

| RstRecord (const UDAControl control_arg, const UDAValue &value_arg, const std::string &wgname_arg)
| Constructor.
| RstRecord (const UDAControl control_arg, const UDAValue &value_arg, const std::string &wgname_arg, const Phase phase)
| Constructor.

## Public Attributes

UDAControl | control
| Item/limit of constraint keyword for which this UDA supplies the numeric value.
UDAValue | value
| UDA value.
std::string | wgname
| Name of well/group affected by this UDA.
std::optional< Phase > | ig_phase {}
| Injected phase in group level injection.

## Detailed Description

Single UDA created from restart file information.

## Constructor & Destructor Documentation

## RstRecord() [1/2]

Opm::UDQActive::RstRecord::RstRecord | ( | const UDAControl | control_arg,
|  | const UDAValue & | value_arg,
|  | const std::string & | wgname_arg )

inline

Constructor.

Creates a general UDA from restart file information.

Parameters

  [in] | control_arg | Which item/limit of which constraint keyword (e.g., WCONPROD or GCONPROD) for which this UDA supplies the numeric value.
  [in] | value_arg | UDA value loaded from restart file. Typically a UDQ name with associate unit conversion operators.
  [in] | wgname_arg | Well or group name affected by this UDA.

## RstRecord() [2/2]

Opm::UDQActive::RstRecord::RstRecord | ( | const UDAControl | control_arg,
|  | const UDAValue & | value_arg,
|  | const std::string & | wgname_arg,
|  | const Phase | phase )

inline

Constructor.

Creates a group level UDA for an injection limit.

Parameters

  [in] | control_arg | Which item/limit of GCONINJE for which this UDA supplies the numeric value.
  [in] | value_arg | UDA value loaded from restart file. Typically a UDQ name with associate unit conversion operators.
  [in] | wgname_arg | Group name affected by this UDA.
  [in] | phase | Injected phase.

## Member Data Documentation

## ig_phase

std::optional<Phase> Opm::UDQActive::RstRecord::ig_phase {}

Injected phase in group level injection.

Nullopt unless the control is a GCONINJE item.

## value

UDAValue Opm::UDQActive::RstRecord::value

UDA value.

Typically a UDQ name and associate unit conversion operators.

The documentation for this struct was generated from the following file:

- opm/input/eclipse/Schedule/UDQ/UDQActive.hpp